libetonyek::PAGCollector Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libetonyek::PAGCollector Class Reference

`#include <PAGCollector.h>`

Inheritance diagram for libetonyek::PAGCollector:

## Classes
struct | Section

## Public Member Functions
| PAGCollector (IWORKDocumentInterface *document)
void | collectPublicationInfo (const PAGPublicationInfo &pubInfo)
void | collectTextBody ()
void | collectAttachment (const IWORKOutputID_t &id, bool block)
void | collectAttachmentPosition (const IWORKPosition &position)
void | openPageGroup (const boost::optional< int > &page)
void | closePageGroup ()
void | openSection (const std::string &style, double width, double height, double horizontalMargin, double verticalMargin)
void | closeSection ()
void | openAttachments ()
void | closeAttachments ()
PAGFootnoteKind | getFootnoteKind () const
Public Member Functions inherited from libetonyek::IWORKCollector
| IWORKCollector (IWORKDocumentInterface *document)
| ~IWORKCollector ()
void | setRecorder (const boost::shared_ptr< IWORKRecorder > &recorder)
void | collectStyle (const IWORKStylePtr_t &style)
void | setGraphicStyle (const IWORKStylePtr_t &style)
void | collectGeometry (const IWORKGeometryPtr_t &geometry)
void | collectBezier (const IWORKPathPtr_t &path)
void | collectImage (const IWORKImagePtr_t &image)
void | collectLine (const IWORKLinePtr_t &line)
void | collectShape ()
void | collectBezierPath ()
void | collectPolygonPath (const IWORKSize &size, unsigned edges)
void | collectRoundedRectanglePath (const IWORKSize &size, double radius)
void | collectArrowPath (const IWORKSize &size, double headWidth, double stemRelYPos, bool doubleSided)
void | collectStarPath (const IWORKSize &size, unsigned points, double innerRadius)
void | collectConnectionPath (const IWORKSize &size, double middleX, double middleY)
void | collectCalloutPath (const IWORKSize &size, double radius, double tailSize, double tailX, double tailY, bool quoteBubble)
void | collectMedia (const IWORKMediaContentPtr_t &content)
void | collectStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | collectMetadata (const IWORKMetadata &metadata)
void | collectHeader (const std::string &name)
void | collectFooter (const std::string &name)
void | collectTable (const boost::shared_ptr< IWORKTable > &table)
void | collectText (const boost::shared_ptr< IWORKText > &text)
void | startDocument ()
void | endDocument ()
void | startGroup ()
void | endGroup ()
void | startLevel ()
void | endLevel ()
void | pushStyle ()
void | popStyle ()
void | pushStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | popStylesheet ()
IWORKOutputManager & | getOutputManager ()
virtual boost::shared_ptr< IWORKTable > | createTable (const IWORKTableNameMapPtr_t &tableNameMap) const
virtual boost::shared_ptr< IWORKText > | createText (const IWORKLanguageManager &langManager, bool discardEmptyContent=false) const

## Private Types
typedef std::map< unsigned, IWORKOutputID_t > | PageGroupsMap_t

## Private Member Functions
virtual void | drawTable ()
virtual void | drawMedia (double x, double y, double w, double h, const std::string &mimetype, const librevenge::RVNGBinaryData &data)
virtual void | fillShapeProperties (librevenge::RVNGPropertyList &props)
virtual void | drawTextBox (const IWORKTextPtr_t &text, const glm::dmat3 &trafo, const IWORKGeometryPtr_t &boundingBox)
void | flushPageSpan (bool writeEmpty=true)
void | writePageGroupsObjects ()

## Private Attributes
Section | m_currentSection
bool | m_firstPageSpan
PAGPublicationInfo | m_pubInfo
PageGroupsMap_t | m_pageGroups
int | m_page
boost::optional< IWORKPosition > | m_attachmentPosition
bool | m_inAttachments

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKCollector
void | fillMetadata (librevenge::RVNGPropertyList &props)
Static Protected Member Functions inherited from libetonyek::IWORKCollector
static void | writeFill (const IWORKFill &fill, librevenge::RVNGPropertyList &props)
Protected Attributes inherited from libetonyek::IWORKCollector
IWORKDocumentInterface * | m_document
boost::shared_ptr< IWORKRecorder > | m_recorder
std::stack< Level > | m_levelStack
IWORKStyleStack | m_styleStack
std::stack< IWORKStylesheetPtr_t > | m_stylesheetStack
IWORKOutputManager | m_outputManager
std::deque< IWORKStylePtr_t > | m_newStyles
boost::shared_ptr< IWORKTable > | m_currentTable
boost::shared_ptr< IWORKText > | m_currentText
IWORKHeaderFooterMap_t | m_headers
IWORKHeaderFooterMap_t | m_footers

## Member Typedef Documentation

typedef std::map<unsigned, IWORKOutputID_t> libetonyek::PAGCollector::PageGroupsMap_t
| private

## Constructor & Destructor Documentation

libetonyek::PAGCollector::PAGCollector | ( | IWORKDocumentInterface * | document | ) |
| explicit

## Member Function Documentation

void libetonyek::PAGCollector::closeAttachments | ( |  | ) |

void libetonyek::PAGCollector::closePageGroup | ( |  | ) |

void libetonyek::PAGCollector::closeSection | ( |  | ) |

void libetonyek::PAGCollector::collectAttachment | ( | const IWORKOutputID_t & | id,
|  | bool | block
| ) |  |

void libetonyek::PAGCollector::collectAttachmentPosition | ( | const IWORKPosition & | position | ) |

void libetonyek::PAGCollector::collectPublicationInfo | ( | const PAGPublicationInfo & | pubInfo | ) |

void libetonyek::PAGCollector::collectTextBody | ( |  | ) |

Referenced by libetonyek::PAG1TextStorageElement::endOfElement(), and libetonyek::PAG5Parser::parseDocument().

void libetonyek::PAGCollector::drawMedia | ( | double | x,
|  | double | y,
|  | double | w,
|  | double | h,
|  | const std::string & | mimetype,
|  | const librevenge::RVNGBinaryData & | data
| ) |  |
| privatevirtual

Implements libetonyek::IWORKCollector.

void libetonyek::PAGCollector::drawTable | ( |  | ) |
| privatevirtual

Implements libetonyek::IWORKCollector.

void libetonyek::PAGCollector::drawTextBox | ( | const IWORKTextPtr_t & | text,
|  | const glm::dmat3 & | trafo,
|  | const IWORKGeometryPtr_t & | boundingBox
| ) |  |
| privatevirtual

Implements libetonyek::IWORKCollector.

void libetonyek::PAGCollector::fillShapeProperties | ( | librevenge::RVNGPropertyList & | props | ) |
| privatevirtual

Implements libetonyek::IWORKCollector.

Referenced by drawTextBox().

void libetonyek::PAGCollector::flushPageSpan | ( | bool | writeEmpty = `true` | ) |
| private

Referenced by closeSection(), and collectTextBody().

PAGFootnoteKind libetonyek::PAGCollector::getFootnoteKind | ( |  | ) | const

void libetonyek::PAGCollector::openAttachments | ( |  | ) |

void libetonyek::PAGCollector::openPageGroup | ( | const boost::optional< int > & | page | ) |

void libetonyek::PAGCollector::openSection | ( | const std::string & | style,
|  | double | width,
|  | double | height,
|  | double | horizontalMargin,
|  | double | verticalMargin
| ) |  |

void libetonyek::PAGCollector::writePageGroupsObjects | ( |  | ) |
| private

Referenced by flushPageSpan().

## Member Data Documentation

boost::optional<IWORKPosition> libetonyek::PAGCollector::m_attachmentPosition
| private

Referenced by collectAttachmentPosition(), and drawMedia().

Section libetonyek::PAGCollector::m_currentSection
| private

Referenced by flushPageSpan(), and openSection().

bool libetonyek::PAGCollector::m_firstPageSpan
| private

Referenced by flushPageSpan().

bool libetonyek::PAGCollector::m_inAttachments
| private

Referenced by closeAttachments(), drawMedia(), and openAttachments().

int libetonyek::PAGCollector::m_page
| private

Referenced by closePageGroup(), drawMedia(), fillShapeProperties(), and openPageGroup().

PageGroupsMap_t libetonyek::PAGCollector::m_pageGroups
| private

Referenced by closePageGroup(), and writePageGroupsObjects().

PAGPublicationInfo libetonyek::PAGCollector::m_pubInfo
| private

Referenced by collectPublicationInfo(), and getFootnoteKind().

The documentation for this class was generated from the following files:

- PAGCollector.h
- PAGCollector.cpp